### Method

# Gtk TreeSortable set_sort_column_id

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_sortable_set_sort_column_id (
      GtkTreeSortable* sortable,
      int sort_column_id,
      GtkSortType order
    )

#### Description [src]

Sets the current sort column to be `sort_column_id`. The `sortable` will resort itself to reflect this change, after emitting a `GtkTreeSortable::sort-column-changed` signal. `sort_column_id` may either be a regular column id, or one of the following special values:

- `GTK_TREE_SORTABLE_DEFAULT_SORT_COLUMN_ID`: the default sort function will be used, if it is set

- `GTK_TREE_SORTABLE_UNSORTED_SORT_COLUMN_ID`: no sorting will occur.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`sort_column_id`

  Type: `int`

  The sort column id to set.

`order`

  Type: `GtkSortType`

  The sort order of the column.